resources/skills/methods/create/index.md +0 −76 deleted
File Deleted View Diff
1## Create a new skill.
2
3**post** `/skills`
4
5Create a new skill.
6
7### Body Parameters
8
9- `files: array of string or string`
10
11 Skill files to upload (directory upload) or a single zip file.
12
13 - `array of string`
14
15 Skill files to upload (directory upload) or a single zip file.
16
17 - `string`
18
19 Skill zip file to upload.
20
21### Returns
22
23- `Skill object { id, created_at, default_version, 4 more }`
24
25 - `id: string`
26
27 Unique identifier for the skill.
28
29 - `created_at: number`
30
31 Unix timestamp (seconds) for when the skill was created.
32
33 - `default_version: string`
34
35 Default version for the skill.
36
37 - `description: string`
38
39 Description of the skill.
40
41 - `latest_version: string`
42
43 Latest version for the skill.
44
45 - `name: string`
46
47 Name of the skill.
48
49 - `object: "skill"`
50
51 The object type, which is `skill`.
52
53 - `"skill"`
54
55### Example
56
57```http
58curl https://api.openai.com/v1/skills \
59 -H 'Content-Type: application/json' \
60 -H "Authorization: Bearer $OPENAI_API_KEY" \
61 -F files='["Example data"]'
62```
63
64#### Response
65
66```json
67{
68 "id": "id",
69 "created_at": 0,
70 "default_version": "default_version",
71 "description": "description",
72 "latest_version": "latest_version",
73 "name": "name",
74 "object": "skill"
75}
76```